org.richfaces.ui.output.progressBar

## Class ProgressBarStateEncoder

- java.lang.Object
- - org.richfaces.ui.output.progressBar.ProgressBarStateEncoder

-     public class ProgressBarStateEncoder
      extends Object

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressBarStateEncoder(boolean renderContentAsPlaceHolders)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Number` | `calculatePercent(Number value, Number minValue, Number maxValue)` Calculates percent value according to min & max value
    `void` | `encodeCompleteState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `void` | `encodeInitialState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `void` | `encodeProgressState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `void` | `encodeProgressStateContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `protected void` | `encodeProgressStateEpilog(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `protected void` | `encodeProgressStateProlog(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ProgressBarState currentState)`
    `protected String` | `getContentStyle(boolean sameState)`
    `protected Object` | `getMaxValueOrDefault(javax.faces.component.UIComponent component)`
    `protected Object` | `getMinValueOrDefault(javax.faces.component.UIComponent component)`
    `protected Object` | `getValueOrDefault(javax.faces.component.UIComponent component)`
    `protected String` | `getWidth(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressBarStateEncoder

          public ProgressBarStateEncoder(boolean renderContentAsPlaceHolders)

  - ### Method Detail

    - #### getContentStyle

          protected String getContentStyle(boolean sameState)

    - #### encodeInitialState

          public void encodeInitialState(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                ProgressBarState currentState)
                                  throws IOException

      Throws:
        `IOException`

    - #### getWidth

          protected String getWidth(javax.faces.component.UIComponent component)

    - #### calculatePercent

          protected Number calculatePercent(Number value,
                                Number minValue,
                                Number maxValue)

      Calculates percent value according to min & max value
      Parameters:
        `value` -
        `minValue` -
        `maxValue` -

    - #### encodeProgressStateContent

          public void encodeProgressStateContent(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        ProgressBarState currentState)
                                          throws IOException

      Throws:
        `IOException`

    - #### encodeProgressStateProlog

          protected void encodeProgressStateProlog(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       ProgressBarState currentState)
                                            throws IOException

      Throws:
        `IOException`

    - #### encodeProgressStateEpilog

          protected void encodeProgressStateEpilog(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       ProgressBarState currentState)
                                            throws IOException

      Throws:
        `IOException`

    - #### encodeProgressState

          public void encodeProgressState(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 ProgressBarState currentState)
                                   throws IOException

      Throws:
        `IOException`

    - #### encodeCompleteState

          public void encodeCompleteState(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 ProgressBarState currentState)
                                   throws IOException

      Throws:
        `IOException`

    - #### getMaxValueOrDefault

          protected Object getMaxValueOrDefault(javax.faces.component.UIComponent component)

    - #### getMinValueOrDefault

          protected Object getMinValueOrDefault(javax.faces.component.UIComponent component)

    - #### getValueOrDefault

          protected Object getValueOrDefault(javax.faces.component.UIComponent component)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.